aboutsummaryrefslogtreecommitdiffstats
path: root/platforms/xu4
diff options
context:
space:
mode:
authorJybz <j.biernacki@free.fr>2019-10-02 16:38:06 +0000
committerJybz <j.biernacki@free.fr>2019-10-02 16:38:06 +0000
commit3ed94977cd304241679b5f258792350d70331a27 (patch)
treefcc3e5cdc235b04d7947992462d8e55edc51c396 /platforms/xu4
parentee3e2a2a3d5fe959355efd43a9dcb0a3b7e72bbc (diff)
downloadmageia4arm-3ed94977cd304241679b5f258792350d70331a27.tar
mageia4arm-3ed94977cd304241679b5f258792350d70331a27.tar.gz
mageia4arm-3ed94977cd304241679b5f258792350d70331a27.tar.bz2
mageia4arm-3ed94977cd304241679b5f258792350d70331a27.tar.xz
mageia4arm-3ed94977cd304241679b5f258792350d70331a27.zip
fonctionnalisation
fonctionnalisation
Diffstat (limited to 'platforms/xu4')
-rw-r--r--platforms/xu4/specialFunctions.sh86
1 files changed, 86 insertions, 0 deletions
diff --git a/platforms/xu4/specialFunctions.sh b/platforms/xu4/specialFunctions.sh
new file mode 100644
index 0000000..3f02410
--- /dev/null
+++ b/platforms/xu4/specialFunctions.sh
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+#RPI partitionning :
+DEFAULT=""
+NEW_PART=n
+PRIMARY=p
+CHANGE_TYPE=t
+CHANGE_BOOTFLAG=a
+APPLY=w
+
+PART_BOOT=1
+PART_BOOT_FIRST_SECTOR=${DEFAULT}
+PART_BOOT_SIZE="+128M"
+
+PART_ROOT=2
+PART_ROOT_FIRST_SECTOR=${DEFAULT}
+PART_ROOT_SIZE=${DEFAULT}
+
+TYPE_FAT32LBA=c
+
+FDISK_SCRIPT="${NEW_PART}\n${PRIMARY}\n${PART_BOOT}\n${PART_BOOT_FIRST_SECTOR}\n${PART_BOOT_SIZE}\n${CHANGE_TYPE}\n${TYPE_FAT32LBA}\n${NEW_PART}\n${PRIMARY}\n${PART_ROOT}\n${PART_ROOT_FIRST_SECTOR}\n${PART_ROOT_SIZE}\n${CHANGE_BOOTFLAG}\n${PART_BOOT}\n${CHANGE_BOOTFLAG}\n${PART_ROOT}\n${APPLY}\n"
+
+
+function preImgCreation()
+{
+ title "Creating Odroid XU3-XU4 image"
+ return 0
+}
+
+
+function postPrepareChroot()
+{
+ #TEMPORARY CODE
+ #copying kernel odroid not existing in mageia repos
+ info "copying kernel-odroid and u-boot rpms in ${BUILD_PATH}/root"
+ #echo "/bin/cp ${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm ${BUILD_PATH}/root/"
+ /usr/bin/cp --preserve=mode "${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm" "${BUILD_PATH}/root/"
+ #echo "/bin/cp ${CONFIG_PATH}/u-boot-20180507-3.mga7.armv7hl.rpm ${BUILD_PATH}/root/"
+ /usr/bin/cp --preserve=mode "${CONFIG_PATH}/u-boot-20180507-3.mga7.armv7hl.rpm" "${BUILD_PATH}/root/"
+ if [ ${?} -ne 0 ]; then
+ error "line ${LINENO} error copying ${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
+ exit ${ERR_1}
+ fi
+ return 0
+}
+
+
+function bunrningBootloader()
+{
+ if [ ${TARGET} = "odroid" ]; then
+ info "installing blobs"
+ pushd "${CONFIG_PATH}/sd_fuse"
+ if [ ${?} -ne 0 ]; then
+ error "line ${LINENO} error directory ${CONFIG_PATH}/sd_fuse does not exists : exiting"
+ exit ${ERR_1}
+ else
+ ./sd_fusing.sh "${DEVICE}"
+ fi
+ pushd
+ fi
+ return 0
+}
+
+function copyingCustomSystem()
+{
+ ODROID_BOOT="${BUILD_PATH}/mnt/odroid_boot"
+ if ! [ -d "${ODROID_BOOT}" ]; then
+ rm -rf "${ODROID_BOOT}"
+ mkdir -p "${ODROID_BOOT}"
+ fi
+ case ${TARGET_VERSION} in
+ "xu4")
+ info "copying u-boot for ${TARGET} ${TARGET_VERSION}"
+ cp --preserve=mode "${BUILD_PATH}/usr/lib/u-boot/${TARGET}-${TARGET_VERSION}/u-boot.bin" "${ARM_BOOT}/"
+ ;;
+ esac
+ ### temporary code waiting inclusion of xu4 in Mageia kernel and u-boot
+
+ info "Copying extlinux.conf on ${ODROID_BOOT}"
+ cp --preserve=mode -R "${BUILD_PATH}/boot/extlinux" "${ODROID_BOOT}/"
+ info "copying Mageia image to root partition"
+ /bin/rsync -rlptogDH --exclude "${ODROID_BOOT}/" --exclude "qemu-arm-static*" "${BUILD_PATH}/" "${ROOT}/"
+ /bin/rsync -rlptogDH "${ODROID_BOOT}/" "${BOOT}/"
+ return 0
+}
+